Manage accounts payable records.
Operations
getInvoiceNoteSelectFields
Returns selected fields for an invoice note.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalInvoiceNoteLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/accountspayable/getInvoiceNoteSelectFieldsPOST /nexum/627/2022.01/accountspayable/getInvoiceNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"InvoiceNoteLocator": 0,
"SelectableFields": {
"IncludeAllInvoiceNoteFields": false,
"InvoiceNoteFields": {
"Locator": true,
"Code": true,
"Text": [
0
],
"UserId": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceNotePagedList
Retrieves a paged list of invoice notes.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/accountspayable/getInvoiceNotePagedListPOST /nexum/627/2022.01/accountspayable/getInvoiceNotePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0,
"Token": "REPLACE_WITH_YOUR_TOKEN"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceNoteListSelectFields
Retrieves a list of invoice notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/accountspayable/getInvoiceNoteListSelectFieldsPOST /nexum/627/2022.01/accountspayable/getInvoiceNoteListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"SelectableFields": {
"IncludeAllInvoiceNoteFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchInvoiceNoteSelectFields
Searches invoice notes with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/accountspayable/searchInvoiceNoteSelectFieldsPOST /nexum/627/2022.01/accountspayable/searchInvoiceNoteSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"SelectableFields": {
"IncludeAllInvoiceNoteFields": true
},
"SearchFilter": {
"Query": "string"
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getInvoiceNotePagedListSelectFields
Returns a page of invoice note selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/accountspayable/getInvoiceNotePagedListSelectFieldsPOST /nexum/627/2022.01/accountspayable/getInvoiceNotePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllInvoiceNoteFields": false,
"InvoiceNoteFields": {
"Locator": true,
"Code": true,
"Text": [
0
]
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchInvoiceNotePagedSelectFields
Searches invoice notes and returns selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
VendorNumberstringoptionalInvoiceLocatorintegeroptionalQuerystringoptionalLoading fields…
symstringrequired- Sym number
TokenstringoptionalLoading fields…
/nexum/{sym}/2022.01/accountspayable/searchInvoiceNotePagedSelectFieldsPOST /nexum/627/2022.01/accountspayable/searchInvoiceNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"VendorNumber": "string",
"InvoiceLocator": 0,
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllInvoiceNoteFields": false,
"InvoiceNoteFields": {
"Locator": true,
"Code": true,
"Text": [
0
]
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}